> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Portfolio Folders for the current user

> Retrieves all portfolio folders for the current user. 

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/Portfolio/Folders
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Portfolio/Folders:
    get:
      tags:
        - Portfolio
      summary: Gets the Portfolio Folders for the current user
      operationId: Portfolio_GetFolders
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioFolderCollection_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioFolderCollection_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioFolderCollection_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioFolderCollection_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioFolderCollection_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_APIPortfolioFolderCollection_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: array
          items:
            $ref: '#/components/schemas/APIPortfolioFolder'
        ErrorCode:
          description: ''
          type: string
    APIPortfolioFolder:
      description: ApiPortfolioFolder
      type: object
      properties:
        FolderId:
          format: int32
          description: Id of the Folder
          type: integer
        UserId:
          format: int32
          description: UserId of the User that owns this Folder
          type: integer
        FolderName:
          description: Name of the Folder
          type: string
        DateCreated:
          format: date-time
          description: Creation Date
          type: string
        DateUpdated:
          format: date-time
          description: Updated Date
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````